%define amversion 1.4
%define pkgname automake
%define patchlevel p6

%bcond_with docheck

Summary:	A GNU tool for automatically creating Makefiles
Name:		%{pkgname}%{amversion}
Version:	1.4.0.%{patchlevel}
Release:	11
License:	GPLv2+
Group:		Development/Other
Url:		http://www.gnu.org/software/automake/
Source0:	ftp://ftp.gnu.org/gnu/automake/%{pkgname}-%{amversion}-%{patchlevel}.tar.bz2
Patch0:		automake-1.4p6-infofiles.patch
Patch1:		automake-1.4-p6-stdc-headers.patch
Patch2:		automake-1.4-p6-CVE-2009-4029.diff
Requires:	update-alternatives
Conflicts:	automake1.5
BuildArch:	noarch

%description
Automake is a tool for automatically generating Makefiles compliant with the
GNU Coding Standards.

You should install Automake if you are developing software and would like to
use its capabilities of automatically generating GNU standard Makefiles. If you
install Automake, you will also need to install GNU's Autoconf package.

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/*-1.4
%{_infodir}/%{name}*
%dir %{_datadir}/aclocal

%post
update-alternatives --remove automake %{_bindir}/automake-%{amversion}

#----------------------------------------------------------------------------

%prep
%setup -q -n %{pkgname}-%{amversion}-%{patchlevel}
%patch0 -p1 -b .parallel
%patch1 -p1 -b .gcc3.4
%patch2 -p1 -b .CVE-2009-4029

%build
%configure
%make

# error.test won't work as expected because $ACLOCAL already include ./m4 into
# m4 file search list (see tests/defs), so --acdir=. has no effect
perl -pi -e 's/\berror\.test\b//' tests/Makefile

%install
%makeinstall

install -D -m 644 %{name}.info %{buildroot}%{_infodir}/%{name}.info
rm -f %{buildroot}%{_bindir}/{automake,aclocal}
mkdir -p %{buildroot}%{_datadir}/aclocal

# (oe) the installsh.test test fails, don't know why
%check
%if %{with docheck}
make check	# VERBOSE=1
%endif


%changelog
* Tue Dec 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.4.0.p6-11
+ Revision: 4690099
- Spec cleanup


